integrations.sh
← all integrations

YNAB API Endpoints

OpenAPI apis-guru financial

Our API uses a REST based design, leverages the JSON data format, and relies upon HTTPS for transport. We respond with meaningful HTTP response codes and if an error occurs, we include error details in the response body. API Documentation is at

Homepage
https://api.apis.guru/v2/specs/youneedabudget.com/1.0.0.json
Provider
youneedabudget.com
OpenAPI version
3.0.0
Spec (JSON)
https://api.apis.guru/v2/specs/youneedabudget.com/1.0.0/openapi.json
Spec (YAML)
https://api.apis.guru/v2/specs/youneedabudget.com/1.0.0/openapi.yaml

Tools (33)

Extracted live via the executor SDK.

  • accounts.createAccount

    Creates a new account

  • accounts.getAccountById

    Returns a single account

  • accounts.getAccounts

    Returns all accounts

  • budgets.getBudgetById

    Returns a single budget with all related entities. This resource is effectively a full budget export.

  • budgets.getBudgets

    Returns budgets list with summary information

  • budgets.getBudgetSettingsById

    Returns settings for a budget

  • categories.getCategories

    Returns all categories grouped by category group. Amounts (budgeted, activity, balance, etc.) are specific to the current budget month (UTC).

  • categories.getCategoryById

    Returns a single category. Amounts (budgeted, activity, balance, etc.) are specific to the current budget month (UTC).

  • categories.getMonthCategoryById

    Returns a single category for a specific budget month. Amounts (budgeted, activity, balance, etc.) are specific to the current budget month (UTC).

  • categories.updateMonthCategory

    Update a category for a specific month. Only budgeted amount can be updated.

  • deprecated.bulkCreateTransactions

    Creates multiple transactions. Although this endpoint is still supported, it is recommended to use 'POST /budgets/{budget_id}/transactions' to create multiple transactions.

  • months.getBudgetMonth

    Returns a single budget month

  • months.getBudgetMonths

    Returns all budget months

  • payeeLocations.getPayeeLocationById

    Returns a single payee location

  • payeeLocations.getPayeeLocations

    Returns all payee locations

  • payeeLocations.getPayeeLocationsByPayee

    Returns all payee locations for a specified payee

  • payees.getPayeeById

    Returns a single payee

  • payees.getPayees

    Returns all payees

  • scheduledTransactions.getScheduledTransactionById

    Returns a single scheduled transaction

  • scheduledTransactions.getScheduledTransactions

    Returns all scheduled transactions

  • transactions.createTransaction

    Creates a single transaction or multiple transactions. If you provide a body containing a transaction object, a single transaction will be created and if you provide a body containing a transactions array, multiple transactions will be created. Scheduled transactions cannot be created on this endpoint.

  • transactions.deleteTransaction

    Deletes a transaction

  • transactions.getTransactionById

    Returns a single transaction

  • transactions.getTransactions

    Returns budget transactions

  • transactions.getTransactionsByAccount

    Returns all transactions for a specified account

  • transactions.getTransactionsByCategory

    Returns all transactions for a specified category

  • transactions.getTransactionsByPayee

    Returns all transactions for a specified payee

  • transactions.importTransactions

    Imports available transactions on all linked accounts for the given budget. Linked accounts allow transactions to be imported directly from a specified financial institution and this endpoint initiates that import. Sending a request to this endpoint is the equivalent of clicking "Import" on each account in the web application or tapping the "New Transactions" banner in the mobile applications. The response for this endpoint contains the transaction ids that have been imported.

  • transactions.updateTransaction

    Updates a single transaction

  • transactions.updateTransactions

    Updates multiple transactions, by id or import_id.

  • user.getUser

    Returns authenticated user information

  • openapi.previewSpec

    Preview an OpenAPI document before adding it as a source

  • openapi.addSource

    Add an OpenAPI source and register its operations as tools